w32fns.c (emacs_abort): Don't do arithmetics on void pointers.
[bpt/emacs.git] / m4 / gnulib-comp.m4
CommitLineData
743c80a7 1# DO NOT EDIT! GENERATED AUTOMATICALLY!
caf8a9b2 2# Copyright (C) 2002-2012 Free Software Foundation, Inc.
743c80a7 3#
316f8af0
PE
4# This file is free software; you can redistribute it and/or modify
5# it under the terms of the GNU General Public License as published by
6# the Free Software Foundation; either version 3 of the License, or
7# (at your option) any later version.
8#
9# This file is distributed in the hope that it will be useful,
10# but WITHOUT ANY WARRANTY; without even the implied warranty of
11# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
12# GNU General Public License for more details.
13#
14# You should have received a copy of the GNU General Public License
15# along with this file. If not, see <http://www.gnu.org/licenses/>.
16#
17# As a special exception to the GNU General Public License,
18# this file may be distributed as part of a program that
19# contains a configuration script generated by Autoconf, under
743c80a7
PE
20# the same distribution terms as the rest of that program.
21#
22# Generated by gnulib-tool.
23#
24# This file represents the compiled summary of the specification in
25# gnulib-cache.m4. It lists the computed macro invocations that need
26# to be invoked from configure.ac.
27# In projects that use version control, this file can be treated like
28# other built files.
29
30
2f93ecce 31# This macro should be invoked from ./configure.ac, in the section
743c80a7
PE
32# "Checks for programs", right after AC_PROG_CC, and certainly before
33# any checks for libraries, header files, types and library functions.
34AC_DEFUN([gl_EARLY],
35[
36 m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
37 m4_pattern_allow([^gl_ES$])dnl a valid locale name
38 m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
39 m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
7f59d9c8 40 AC_REQUIRE([gl_PROG_AR_RANLIB])
fa23e171 41 # Code from module alloca-opt:
7ec98caf 42 # Code from module allocator:
fee5959d
PE
43 # Code from module c-ctype:
44 # Code from module c-strcase:
d1fdcab7 45 # Code from module careadlinkat:
d35af63c 46 # Code from module clock-time:
7ccfb720 47 # Code from module close-stream:
942f733f 48 # Code from module crypto/md5:
13c3daa4 49 # Code from module crypto/sha1:
3ce9d0d4
LL
50 # Code from module crypto/sha256:
51 # Code from module crypto/sha512:
36f13e16 52 # Code from module dosname:
f737437b 53 # Code from module dtoastr:
d35af63c 54 # Code from module dtotimespec:
7a7ef429 55 # Code from module dup2:
e32a5799 56 # Code from module environ:
73dcdb9f 57 # Code from module euidaccess:
f4a681b0 58 # Code from module execinfo:
1fd182f0
PE
59 # Code from module extensions:
60 AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
a0d4efe9 61 # Code from module extern-inline:
73dcdb9f
PE
62 # Code from module faccessat:
63 # Code from module fcntl-h:
5fa4ac76 64 # Code from module filemode:
7ccfb720 65 # Code from module fpending:
73dcdb9f 66 # Code from module getgroups:
79ab4b7f 67 # Code from module getloadavg:
e275c824
PE
68 # Code from module getopt-gnu:
69 # Code from module getopt-posix:
70 # Code from module gettext-h:
d35af63c
PE
71 # Code from module gettime:
72 # Code from module gettimeofday:
73dcdb9f 73 # Code from module group-member:
67342916 74 # Code from module ignore-value:
1fd182f0 75 # Code from module include_next:
a451f14b 76 # Code from module intprops:
b6f5355a 77 # Code from module inttypes-incomplete:
54020294 78 # Code from module largefile:
7f59d9c8 79 AC_REQUIRE([AC_SYS_LARGEFILE])
ae0d7250 80 # Code from module lstat:
9ee7d8b9 81 # Code from module manywarnings:
1fd182f0
PE
82 # Code from module mktime:
83 # Code from module multiarch:
24e0f6b1 84 # Code from module nocrash:
6df37268 85 # Code from module pathmax:
d35af63c 86 # Code from module pselect:
6db30f83 87 # Code from module pthread_sigmask:
ae0d7250 88 # Code from module readlink:
73dcdb9f 89 # Code from module root-uid:
d983a10b 90 # Code from module sig2str:
316f8af0 91 # Code from module signal-h:
24e0f6b1
PE
92 # Code from module snippet/_Noreturn:
93 # Code from module snippet/arg-nonnull:
94 # Code from module snippet/c++defs:
95 # Code from module snippet/warn-on-use:
401bf9b4 96 # Code from module socklen:
d1fdcab7 97 # Code from module ssize_t:
ae0d7250 98 # Code from module stat:
d35af63c 99 # Code from module stat-time:
caf8a9b2 100 # Code from module stdalign:
c378da0b
PE
101 # Code from module stdarg:
102 dnl Some compilers (e.g., AIX 5.3 cc) need to be in c99 mode
103 dnl for the builtin va_copy to work. With Autoconf 2.60 or later,
d47439a3 104 dnl gl_PROG_CC_C99 arranges for this. With older Autoconf gl_PROG_CC_C99
c378da0b 105 dnl shouldn't hurt, though installers are on their own to set c99 mode.
d47439a3 106 gl_PROG_CC_C99
16c3e636 107 # Code from module stdbool:
1fd182f0 108 # Code from module stddef:
5f90be1b 109 # Code from module stdint:
77185bdf 110 # Code from module stdio:
79ab4b7f 111 # Code from module stdlib:
16c3e636 112 # Code from module strftime:
f6ce9b9a
PE
113 # Code from module strtoimax:
114 # Code from module strtoll:
b6f5355a 115 # Code from module strtoull:
a8a2bb29 116 # Code from module strtoumax:
ae0d7250 117 # Code from module symlink:
d35af63c 118 # Code from module sys_select:
5fa4ac76 119 # Code from module sys_stat:
d35af63c 120 # Code from module sys_time:
1fd182f0
PE
121 # Code from module time:
122 # Code from module time_r:
a615a3ae 123 # Code from module timer-time:
d35af63c
PE
124 # Code from module timespec:
125 # Code from module timespec-add:
126 # Code from module timespec-sub:
3ce9d0d4 127 # Code from module u64:
e275c824 128 # Code from module unistd:
d35af63c 129 # Code from module utimens:
a8a2bb29 130 # Code from module verify:
9ee7d8b9 131 # Code from module warnings:
73dcdb9f 132 # Code from module xalloc-oversized:
743c80a7
PE
133])
134
2f93ecce 135# This macro should be invoked from ./configure.ac, in the section
743c80a7
PE
136# "Check for header files, types and library functions".
137AC_DEFUN([gl_INIT],
138[
139 AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
140 gl_cond_libtool=false
141 gl_libdeps=
142 gl_ltlibdeps=
143 gl_m4_base='m4'
144 m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
145 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
146 m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
147 m4_pushdef([gl_LIBSOURCES_LIST], [])
148 m4_pushdef([gl_LIBSOURCES_DIR], [])
149 gl_COMMON
150 gl_source_base='lib'
562d4436
PE
151 gl_FUNC_ALLOCA
152 AC_CHECK_FUNCS_ONCE([readlinkat])
153 gl_CLOCK_TIME
7ccfb720
PE
154 gl_CLOSE_STREAM
155 gl_MODULE_INDICATOR([close-stream])
562d4436
PE
156 gl_MD5
157 gl_SHA1
158 gl_SHA256
159 gl_SHA512
160 AC_REQUIRE([gl_C99_STRTOLD])
161 gl_FUNC_DUP2
162 if test $HAVE_DUP2 = 0 || test $REPLACE_DUP2 = 1; then
163 AC_LIBOBJ([dup2])
164 gl_PREREQ_DUP2
165 fi
166 gl_UNISTD_MODULE_INDICATOR([dup2])
167 gl_ENVIRON
168 gl_UNISTD_MODULE_INDICATOR([environ])
f4a681b0 169 gl_EXECINFO_H
562d4436 170 AC_REQUIRE([gl_EXTERN_INLINE])
73dcdb9f
PE
171 gl_FUNC_FACCESSAT
172 if test $HAVE_FACCESSAT = 0; then
173 AC_LIBOBJ([faccessat])
174 gl_PREREQ_FACCESSAT
175 fi
176 gl_MODULE_INDICATOR([faccessat])
177 gl_UNISTD_MODULE_INDICATOR([faccessat])
178 gl_FCNTL_H
562d4436 179 gl_FILEMODE
7ccfb720
PE
180 gl_FUNC_FPENDING
181 if test $ac_cv_func___fpending = no; then
182 AC_LIBOBJ([fpending])
183 gl_PREREQ_FPENDING
184 fi
562d4436
PE
185 gl_GETLOADAVG
186 if test $HAVE_GETLOADAVG = 0; then
187 AC_LIBOBJ([getloadavg])
188 gl_PREREQ_GETLOADAVG
189 fi
190 gl_STDLIB_MODULE_INDICATOR([getloadavg])
191 gl_FUNC_GETOPT_GNU
192 if test $REPLACE_GETOPT = 1; then
193 AC_LIBOBJ([getopt])
194 AC_LIBOBJ([getopt1])
195 gl_PREREQ_GETOPT
196 dnl Arrange for unistd.h to include getopt.h.
197 GNULIB_GL_UNISTD_H_GETOPT=1
198 fi
199 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
200 gl_MODULE_INDICATOR_FOR_TESTS([getopt-gnu])
201 gl_FUNC_GETOPT_POSIX
202 if test $REPLACE_GETOPT = 1; then
203 AC_LIBOBJ([getopt])
204 AC_LIBOBJ([getopt1])
205 gl_PREREQ_GETOPT
206 dnl Arrange for unistd.h to include getopt.h.
207 GNULIB_GL_UNISTD_H_GETOPT=1
208 fi
209 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
210 gl_GETTIME
211 gl_FUNC_GETTIMEOFDAY
212 if test $HAVE_GETTIMEOFDAY = 0 || test $REPLACE_GETTIMEOFDAY = 1; then
213 AC_LIBOBJ([gettimeofday])
214 gl_PREREQ_GETTIMEOFDAY
215 fi
216 gl_SYS_TIME_MODULE_INDICATOR([gettimeofday])
217 gl_INTTYPES_INCOMPLETE
218 AC_REQUIRE([gl_LARGEFILE])
219 gl_FUNC_LSTAT
220 if test $REPLACE_LSTAT = 1; then
221 AC_LIBOBJ([lstat])
222 gl_PREREQ_LSTAT
223 fi
224 gl_SYS_STAT_MODULE_INDICATOR([lstat])
225 gl_FUNC_MKTIME
226 if test $REPLACE_MKTIME = 1; then
227 AC_LIBOBJ([mktime])
228 gl_PREREQ_MKTIME
229 fi
230 gl_TIME_MODULE_INDICATOR([mktime])
231 gl_MULTIARCH
232 gl_FUNC_PSELECT
233 if test $HAVE_PSELECT = 0 || test $REPLACE_PSELECT = 1; then
234 AC_LIBOBJ([pselect])
235 fi
236 gl_SYS_SELECT_MODULE_INDICATOR([pselect])
237 gl_FUNC_PTHREAD_SIGMASK
238 if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
239 AC_LIBOBJ([pthread_sigmask])
240 gl_PREREQ_PTHREAD_SIGMASK
241 fi
242 gl_SIGNAL_MODULE_INDICATOR([pthread_sigmask])
243 gl_FUNC_READLINK
244 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
245 AC_LIBOBJ([readlink])
246 gl_PREREQ_READLINK
247 fi
248 gl_UNISTD_MODULE_INDICATOR([readlink])
d983a10b
PE
249 gl_FUNC_SIG2STR
250 if test $ac_cv_func_sig2str = no; then
251 AC_LIBOBJ([sig2str])
252 gl_PREREQ_SIG2STR
253 fi
562d4436
PE
254 gl_SIGNAL_H
255 gl_TYPE_SOCKLEN_T
256 gt_TYPE_SSIZE_T
257 gl_STAT_TIME
258 gl_STAT_BIRTHTIME
259 gl_STDALIGN_H
260 gl_STDARG_H
261 AM_STDBOOL_H
262 gl_STDDEF_H
263 gl_STDINT_H
264 gl_STDIO_H
265 gl_STDLIB_H
266 gl_FUNC_GNU_STRFTIME
267 gl_FUNC_STRTOIMAX
268 if test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; then
269 AC_LIBOBJ([strtoimax])
270 gl_PREREQ_STRTOIMAX
271 fi
272 gl_INTTYPES_MODULE_INDICATOR([strtoimax])
273 gl_FUNC_STRTOUMAX
274 if test $ac_cv_func_strtoumax = no; then
275 AC_LIBOBJ([strtoumax])
276 gl_PREREQ_STRTOUMAX
277 fi
278 gl_INTTYPES_MODULE_INDICATOR([strtoumax])
279 gl_FUNC_SYMLINK
280 if test $HAVE_SYMLINK = 0 || test $REPLACE_SYMLINK = 1; then
281 AC_LIBOBJ([symlink])
282 fi
283 gl_UNISTD_MODULE_INDICATOR([symlink])
284 gl_HEADER_SYS_SELECT
285 AC_PROG_MKDIR_P
286 gl_HEADER_SYS_STAT_H
287 AC_PROG_MKDIR_P
288 gl_HEADER_SYS_TIME_H
289 AC_PROG_MKDIR_P
290 gl_HEADER_TIME_H
291 gl_TIME_R
292 if test $HAVE_LOCALTIME_R = 0 || test $REPLACE_LOCALTIME_R = 1; then
293 AC_LIBOBJ([time_r])
294 gl_PREREQ_TIME_R
295 fi
296 gl_TIME_MODULE_INDICATOR([time_r])
a615a3ae 297 gl_TIMER_TIME
562d4436
PE
298 gl_TIMESPEC
299 gl_UNISTD_H
300 gl_UTIMENS
19548d08 301 gl_gnulib_enabled_dosname=false
73dcdb9f
PE
302 gl_gnulib_enabled_euidaccess=false
303 gl_gnulib_enabled_getgroups=false
19548d08 304 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=false
73dcdb9f 305 gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1=false
6df37268 306 gl_gnulib_enabled_pathmax=false
73dcdb9f 307 gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c=false
19548d08 308 gl_gnulib_enabled_stat=false
f6ce9b9a 309 gl_gnulib_enabled_strtoll=false
19548d08
PE
310 gl_gnulib_enabled_strtoull=false
311 gl_gnulib_enabled_verify=false
73dcdb9f 312 gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec=false
19548d08
PE
313 func_gl_gnulib_m4code_dosname ()
314 {
315 if ! $gl_gnulib_enabled_dosname; then
316 gl_gnulib_enabled_dosname=true
317 fi
318 }
73dcdb9f
PE
319 func_gl_gnulib_m4code_euidaccess ()
320 {
321 if ! $gl_gnulib_enabled_euidaccess; then
322 gl_FUNC_EUIDACCESS
323 if test $HAVE_EUIDACCESS = 0; then
324 AC_LIBOBJ([euidaccess])
325 gl_PREREQ_EUIDACCESS
326 fi
327 gl_UNISTD_MODULE_INDICATOR([euidaccess])
328 gl_gnulib_enabled_euidaccess=true
329 if test $HAVE_EUIDACCESS = 0; then
330 func_gl_gnulib_m4code_a9786850e999ae65a836a6041e8e5ed1
331 fi
332 func_gl_gnulib_m4code_6099e9737f757db36c47fa9d9f02e88c
333 if test $HAVE_EUIDACCESS = 0; then
334 func_gl_gnulib_m4code_stat
335 fi
336 fi
337 }
338 func_gl_gnulib_m4code_getgroups ()
339 {
340 if ! $gl_gnulib_enabled_getgroups; then
341 gl_FUNC_GETGROUPS
342 if test $HAVE_GETGROUPS = 0 || test $REPLACE_GETGROUPS = 1; then
343 AC_LIBOBJ([getgroups])
344 fi
345 gl_UNISTD_MODULE_INDICATOR([getgroups])
346 gl_gnulib_enabled_getgroups=true
347 fi
348 }
19548d08
PE
349 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36 ()
350 {
351 if ! $gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36; then
562d4436
PE
352 AC_SUBST([LIBINTL])
353 AC_SUBST([LTLIBINTL])
19548d08
PE
354 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=true
355 fi
356 }
73dcdb9f
PE
357 func_gl_gnulib_m4code_a9786850e999ae65a836a6041e8e5ed1 ()
358 {
359 if ! $gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1; then
360 gl_FUNC_GROUP_MEMBER
361 if test $HAVE_GROUP_MEMBER = 0; then
362 AC_LIBOBJ([group-member])
363 gl_PREREQ_GROUP_MEMBER
364 fi
365 gl_UNISTD_MODULE_INDICATOR([group-member])
366 gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1=true
367 if test $HAVE_GROUP_MEMBER = 0; then
368 func_gl_gnulib_m4code_getgroups
369 fi
370 if test $HAVE_GROUP_MEMBER = 0; then
371 func_gl_gnulib_m4code_682e609604ccaac6be382e4ee3a4eaec
372 fi
373 fi
374 }
6df37268
PE
375 func_gl_gnulib_m4code_pathmax ()
376 {
377 if ! $gl_gnulib_enabled_pathmax; then
562d4436 378 gl_PATHMAX
6df37268
PE
379 gl_gnulib_enabled_pathmax=true
380 fi
381 }
73dcdb9f
PE
382 func_gl_gnulib_m4code_6099e9737f757db36c47fa9d9f02e88c ()
383 {
384 if ! $gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c; then
385 gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c=true
386 fi
387 }
19548d08
PE
388 func_gl_gnulib_m4code_stat ()
389 {
390 if ! $gl_gnulib_enabled_stat; then
562d4436
PE
391 gl_FUNC_STAT
392 if test $REPLACE_STAT = 1; then
393 AC_LIBOBJ([stat])
394 gl_PREREQ_STAT
395 fi
396 gl_SYS_STAT_MODULE_INDICATOR([stat])
19548d08 397 gl_gnulib_enabled_stat=true
d47439a3 398 if test $REPLACE_STAT = 1; then
19548d08
PE
399 func_gl_gnulib_m4code_dosname
400 fi
6df37268
PE
401 if test $REPLACE_STAT = 1; then
402 func_gl_gnulib_m4code_pathmax
403 fi
d47439a3 404 if test $REPLACE_STAT = 1; then
6dd7e400
PE
405 func_gl_gnulib_m4code_verify
406 fi
19548d08
PE
407 fi
408 }
f6ce9b9a
PE
409 func_gl_gnulib_m4code_strtoll ()
410 {
411 if ! $gl_gnulib_enabled_strtoll; then
562d4436
PE
412 gl_FUNC_STRTOLL
413 if test $HAVE_STRTOLL = 0; then
414 AC_LIBOBJ([strtoll])
415 gl_PREREQ_STRTOLL
416 fi
417 gl_STDLIB_MODULE_INDICATOR([strtoll])
f6ce9b9a
PE
418 gl_gnulib_enabled_strtoll=true
419 fi
420 }
19548d08
PE
421 func_gl_gnulib_m4code_strtoull ()
422 {
423 if ! $gl_gnulib_enabled_strtoull; then
562d4436
PE
424 gl_FUNC_STRTOULL
425 if test $HAVE_STRTOULL = 0; then
426 AC_LIBOBJ([strtoull])
427 gl_PREREQ_STRTOULL
428 fi
429 gl_STDLIB_MODULE_INDICATOR([strtoull])
19548d08
PE
430 gl_gnulib_enabled_strtoull=true
431 fi
432 }
433 func_gl_gnulib_m4code_verify ()
434 {
435 if ! $gl_gnulib_enabled_verify; then
436 gl_gnulib_enabled_verify=true
437 fi
438 }
73dcdb9f
PE
439 func_gl_gnulib_m4code_682e609604ccaac6be382e4ee3a4eaec ()
440 {
441 if ! $gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec; then
442 gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec=true
443 fi
444 }
445 if test $HAVE_FACCESSAT = 0; then
446 func_gl_gnulib_m4code_dosname
447 fi
448 if test $HAVE_FACCESSAT = 0; then
449 func_gl_gnulib_m4code_euidaccess
450 fi
8aeb5be9 451 if test $REPLACE_GETOPT = 1; then
19548d08
PE
452 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36
453 fi
454 if test $REPLACE_LSTAT = 1; then
455 func_gl_gnulib_m4code_dosname
456 fi
457 if test $REPLACE_LSTAT = 1; then
458 func_gl_gnulib_m4code_stat
459 fi
460 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
461 func_gl_gnulib_m4code_stat
462 fi
caf8a9b2 463 if { test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; } && test $ac_cv_type_long_long_int = yes; then
f6ce9b9a
PE
464 func_gl_gnulib_m4code_strtoll
465 fi
caf8a9b2 466 if test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; then
19548d08
PE
467 func_gl_gnulib_m4code_verify
468 fi
7f59d9c8 469 if test $ac_cv_func_strtoumax = no && test $ac_cv_type_unsigned_long_long_int = yes; then
19548d08
PE
470 func_gl_gnulib_m4code_strtoull
471 fi
caf8a9b2
PE
472 if test $ac_cv_func_strtoumax = no; then
473 func_gl_gnulib_m4code_verify
474 fi
19548d08
PE
475 m4_pattern_allow([^gl_GNULIB_ENABLED_])
476 AM_CONDITIONAL([gl_GNULIB_ENABLED_dosname], [$gl_gnulib_enabled_dosname])
73dcdb9f
PE
477 AM_CONDITIONAL([gl_GNULIB_ENABLED_euidaccess], [$gl_gnulib_enabled_euidaccess])
478 AM_CONDITIONAL([gl_GNULIB_ENABLED_getgroups], [$gl_gnulib_enabled_getgroups])
19548d08 479 AM_CONDITIONAL([gl_GNULIB_ENABLED_be453cec5eecf5731a274f2de7f2db36], [$gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36])
73dcdb9f 480 AM_CONDITIONAL([gl_GNULIB_ENABLED_a9786850e999ae65a836a6041e8e5ed1], [$gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1])
6df37268 481 AM_CONDITIONAL([gl_GNULIB_ENABLED_pathmax], [$gl_gnulib_enabled_pathmax])
73dcdb9f 482 AM_CONDITIONAL([gl_GNULIB_ENABLED_6099e9737f757db36c47fa9d9f02e88c], [$gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c])
19548d08 483 AM_CONDITIONAL([gl_GNULIB_ENABLED_stat], [$gl_gnulib_enabled_stat])
f6ce9b9a 484 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoll], [$gl_gnulib_enabled_strtoll])
19548d08
PE
485 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoull], [$gl_gnulib_enabled_strtoull])
486 AM_CONDITIONAL([gl_GNULIB_ENABLED_verify], [$gl_gnulib_enabled_verify])
73dcdb9f 487 AM_CONDITIONAL([gl_GNULIB_ENABLED_682e609604ccaac6be382e4ee3a4eaec], [$gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec])
743c80a7
PE
488 # End of code from modules
489 m4_ifval(gl_LIBSOURCES_LIST, [
490 m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
491 for gl_file in ]gl_LIBSOURCES_LIST[ ; do
492 if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
493 echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
494 exit 1
495 fi
496 done])dnl
497 m4_if(m4_sysval, [0], [],
498 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
499 ])
500 m4_popdef([gl_LIBSOURCES_DIR])
501 m4_popdef([gl_LIBSOURCES_LIST])
502 m4_popdef([AC_LIBSOURCES])
503 m4_popdef([AC_REPLACE_FUNCS])
504 m4_popdef([AC_LIBOBJ])
505 AC_CONFIG_COMMANDS_PRE([
506 gl_libobjs=
507 gl_ltlibobjs=
508 if test -n "$gl_LIBOBJS"; then
509 # Remove the extension.
510 sed_drop_objext='s/\.o$//;s/\.obj$//'
511 for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
512 gl_libobjs="$gl_libobjs $i.$ac_objext"
513 gl_ltlibobjs="$gl_ltlibobjs $i.lo"
514 done
515 fi
516 AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
517 AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
518 ])
519 gltests_libdeps=
520 gltests_ltlibdeps=
521 m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
522 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
523 m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
524 m4_pushdef([gltests_LIBSOURCES_LIST], [])
525 m4_pushdef([gltests_LIBSOURCES_DIR], [])
526 gl_COMMON
527 gl_source_base='tests'
528changequote(,)dnl
529 gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
530changequote([, ])dnl
531 AC_SUBST([gltests_WITNESS])
532 gl_module_indicator_condition=$gltests_WITNESS
533 m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
19548d08 534 m4_pattern_allow([^gl_GNULIB_ENABLED_])
743c80a7
PE
535 m4_popdef([gl_MODULE_INDICATOR_CONDITION])
536 m4_ifval(gltests_LIBSOURCES_LIST, [
537 m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
538 for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
539 if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
540 echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
541 exit 1
542 fi
543 done])dnl
544 m4_if(m4_sysval, [0], [],
545 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
546 ])
547 m4_popdef([gltests_LIBSOURCES_DIR])
548 m4_popdef([gltests_LIBSOURCES_LIST])
549 m4_popdef([AC_LIBSOURCES])
550 m4_popdef([AC_REPLACE_FUNCS])
551 m4_popdef([AC_LIBOBJ])
552 AC_CONFIG_COMMANDS_PRE([
553 gltests_libobjs=
554 gltests_ltlibobjs=
555 if test -n "$gltests_LIBOBJS"; then
556 # Remove the extension.
557 sed_drop_objext='s/\.o$//;s/\.obj$//'
558 for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
559 gltests_libobjs="$gltests_libobjs $i.$ac_objext"
560 gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
561 done
562 fi
563 AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
564 AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
565 ])
566 LIBGNU_LIBDEPS="$gl_libdeps"
567 AC_SUBST([LIBGNU_LIBDEPS])
568 LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
569 AC_SUBST([LIBGNU_LTLIBDEPS])
570])
571
572# Like AC_LIBOBJ, except that the module name goes
573# into gl_LIBOBJS instead of into LIBOBJS.
574AC_DEFUN([gl_LIBOBJ], [
575 AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
576 gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
577])
578
579# Like AC_REPLACE_FUNCS, except that the module name goes
580# into gl_LIBOBJS instead of into LIBOBJS.
581AC_DEFUN([gl_REPLACE_FUNCS], [
582 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
583 AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
584])
585
586# Like AC_LIBSOURCES, except the directory where the source file is
587# expected is derived from the gnulib-tool parameterization,
588# and alloca is special cased (for the alloca-opt module).
589# We could also entirely rely on EXTRA_lib..._SOURCES.
590AC_DEFUN([gl_LIBSOURCES], [
591 m4_foreach([_gl_NAME], [$1], [
592 m4_if(_gl_NAME, [alloca.c], [], [
593 m4_define([gl_LIBSOURCES_DIR], [lib])
594 m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
595 ])
596 ])
597])
598
599# Like AC_LIBOBJ, except that the module name goes
600# into gltests_LIBOBJS instead of into LIBOBJS.
601AC_DEFUN([gltests_LIBOBJ], [
602 AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
603 gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
604])
605
606# Like AC_REPLACE_FUNCS, except that the module name goes
607# into gltests_LIBOBJS instead of into LIBOBJS.
608AC_DEFUN([gltests_REPLACE_FUNCS], [
609 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
610 AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
611])
612
613# Like AC_LIBSOURCES, except the directory where the source file is
614# expected is derived from the gnulib-tool parameterization,
615# and alloca is special cased (for the alloca-opt module).
616# We could also entirely rely on EXTRA_lib..._SOURCES.
617AC_DEFUN([gltests_LIBSOURCES], [
618 m4_foreach([_gl_NAME], [$1], [
619 m4_if(_gl_NAME, [alloca.c], [], [
620 m4_define([gltests_LIBSOURCES_DIR], [tests])
621 m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
622 ])
623 ])
624])
625
626# This macro records the list of files which have been installed by
627# gnulib-tool and may be removed by future gnulib-tool invocations.
628AC_DEFUN([gl_FILE_LIST], [
24e0f6b1
PE
629 build-aux/snippet/_Noreturn.h
630 build-aux/snippet/arg-nonnull.h
631 build-aux/snippet/c++defs.h
632 build-aux/snippet/warn-on-use.h
fa23e171 633 lib/alloca.in.h
7ec98caf 634 lib/allocator.c
d1fdcab7 635 lib/allocator.h
73dcdb9f 636 lib/at-func.c
fee5959d
PE
637 lib/c-ctype.c
638 lib/c-ctype.h
639 lib/c-strcase.h
640 lib/c-strcasecmp.c
641 lib/c-strncasecmp.c
d1fdcab7
PE
642 lib/careadlinkat.c
643 lib/careadlinkat.h
7ccfb720
PE
644 lib/close-stream.c
645 lib/close-stream.h
36f13e16 646 lib/dosname.h
a451f14b 647 lib/dtoastr.c
d35af63c 648 lib/dtotimespec.c
7a7ef429 649 lib/dup2.c
73dcdb9f 650 lib/euidaccess.c
f4a681b0
PE
651 lib/execinfo.c
652 lib/execinfo.in.h
73dcdb9f
PE
653 lib/faccessat.c
654 lib/fcntl.in.h
5fa4ac76
PE
655 lib/filemode.c
656 lib/filemode.h
7ccfb720
PE
657 lib/fpending.c
658 lib/fpending.h
a451f14b
PE
659 lib/ftoastr.c
660 lib/ftoastr.h
73dcdb9f 661 lib/getgroups.c
79ab4b7f 662 lib/getloadavg.c
e275c824
PE
663 lib/getopt.c
664 lib/getopt.in.h
665 lib/getopt1.c
666 lib/getopt_int.h
667 lib/gettext.h
d35af63c
PE
668 lib/gettime.c
669 lib/gettimeofday.c
73dcdb9f 670 lib/group-member.c
67342916 671 lib/ignore-value.h
a451f14b 672 lib/intprops.h
a8a2bb29 673 lib/inttypes.in.h
ae0d7250 674 lib/lstat.c
942f733f
PE
675 lib/md5.c
676 lib/md5.h
1fd182f0
PE
677 lib/mktime-internal.h
678 lib/mktime.c
6df37268 679 lib/pathmax.h
d35af63c 680 lib/pselect.c
2a84b02d 681 lib/pthread_sigmask.c
ae0d7250 682 lib/readlink.c
73dcdb9f 683 lib/root-uid.h
13c3daa4
LL
684 lib/sha1.c
685 lib/sha1.h
3ce9d0d4
LL
686 lib/sha256.c
687 lib/sha256.h
688 lib/sha512.c
689 lib/sha512.h
d983a10b
PE
690 lib/sig2str.c
691 lib/sig2str.h
6db30f83 692 lib/signal.in.h
a0d4efe9 693 lib/stat-time.c
d35af63c 694 lib/stat-time.h
ae0d7250 695 lib/stat.c
caf8a9b2 696 lib/stdalign.in.h
c378da0b 697 lib/stdarg.in.h
16c3e636 698 lib/stdbool.in.h
1fd182f0 699 lib/stddef.in.h
5f90be1b 700 lib/stdint.in.h
f64898ab 701 lib/stdio.c
77185bdf 702 lib/stdio.in.h
79ab4b7f 703 lib/stdlib.in.h
16c3e636
PE
704 lib/strftime.c
705 lib/strftime.h
a8a2bb29
PE
706 lib/strtoimax.c
707 lib/strtol.c
f6ce9b9a 708 lib/strtoll.c
a8a2bb29
PE
709 lib/strtoul.c
710 lib/strtoull.c
711 lib/strtoumax.c
ae0d7250 712 lib/symlink.c
d35af63c 713 lib/sys_select.in.h
5fa4ac76 714 lib/sys_stat.in.h
d35af63c 715 lib/sys_time.in.h
1fd182f0
PE
716 lib/time.in.h
717 lib/time_r.c
d35af63c
PE
718 lib/timespec-add.c
719 lib/timespec-sub.c
a0d4efe9 720 lib/timespec.c
d35af63c 721 lib/timespec.h
a0d4efe9 722 lib/u64.c
3ce9d0d4 723 lib/u64.h
f64898ab 724 lib/unistd.c
e275c824 725 lib/unistd.in.h
d35af63c
PE
726 lib/utimens.c
727 lib/utimens.h
a8a2bb29 728 lib/verify.h
73dcdb9f 729 lib/xalloc-oversized.h
743c80a7 730 m4/00gnulib.m4
fa23e171 731 m4/alloca.m4
a451f14b 732 m4/c-strtod.m4
d35af63c 733 m4/clock_time.m4
7ccfb720 734 m4/close-stream.m4
7a7ef429 735 m4/dup2.m4
e32a5799 736 m4/environ.m4
73dcdb9f 737 m4/euidaccess.m4
f4a681b0 738 m4/execinfo.m4
1fd182f0 739 m4/extensions.m4
a0d4efe9 740 m4/extern-inline.m4
73dcdb9f
PE
741 m4/faccessat.m4
742 m4/fcntl-o.m4
743 m4/fcntl_h.m4
5fa4ac76 744 m4/filemode.m4
7ccfb720 745 m4/fpending.m4
73dcdb9f 746 m4/getgroups.m4
79ab4b7f 747 m4/getloadavg.m4
e275c824 748 m4/getopt.m4
d35af63c
PE
749 m4/gettime.m4
750 m4/gettimeofday.m4
743c80a7 751 m4/gnulib-common.m4
73dcdb9f 752 m4/group-member.m4
1fd182f0 753 m4/include_next.m4
a8a2bb29 754 m4/inttypes.m4
54020294 755 m4/largefile.m4
5f90be1b 756 m4/longlong.m4
ae0d7250 757 m4/lstat.m4
5e6ab4e6 758 m4/manywarnings.m4
942f733f 759 m4/md5.m4
1fd182f0
PE
760 m4/mktime.m4
761 m4/multiarch.m4
24e0f6b1 762 m4/nocrash.m4
caf8a9b2 763 m4/off_t.m4
6df37268 764 m4/pathmax.m4
d35af63c 765 m4/pselect.m4
6db30f83 766 m4/pthread_sigmask.m4
ae0d7250 767 m4/readlink.m4
13c3daa4 768 m4/sha1.m4
3ce9d0d4
LL
769 m4/sha256.m4
770 m4/sha512.m4
d983a10b 771 m4/sig2str.m4
6db30f83 772 m4/signal_h.m4
401bf9b4 773 m4/socklen.m4
d1fdcab7 774 m4/ssize_t.m4
5fa4ac76 775 m4/st_dm_mode.m4
d35af63c 776 m4/stat-time.m4
ae0d7250 777 m4/stat.m4
caf8a9b2 778 m4/stdalign.m4
c378da0b 779 m4/stdarg.m4
16c3e636 780 m4/stdbool.m4
1fd182f0 781 m4/stddef_h.m4
5f90be1b 782 m4/stdint.m4
77185bdf 783 m4/stdio_h.m4
79ab4b7f 784 m4/stdlib_h.m4
16c3e636 785 m4/strftime.m4
f6ce9b9a
PE
786 m4/strtoimax.m4
787 m4/strtoll.m4
a8a2bb29
PE
788 m4/strtoull.m4
789 m4/strtoumax.m4
ae0d7250 790 m4/symlink.m4
d35af63c
PE
791 m4/sys_select_h.m4
792 m4/sys_socket_h.m4
5fa4ac76 793 m4/sys_stat_h.m4
d35af63c 794 m4/sys_time_h.m4
1fd182f0
PE
795 m4/time_h.m4
796 m4/time_r.m4
a615a3ae 797 m4/timer_time.m4
d35af63c 798 m4/timespec.m4
16c3e636 799 m4/tm_gmtoff.m4
e275c824 800 m4/unistd_h.m4
d35af63c
PE
801 m4/utimbuf.m4
802 m4/utimens.m4
803 m4/utimes.m4
1fd182f0 804 m4/warn-on-use.m4
5e6ab4e6 805 m4/warnings.m4
1fd182f0 806 m4/wchar_t.m4
743c80a7 807])